# Class CardDetailsConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents the configuration settings for card details.

    public class CardDetailsConfig

Inheritance
  object
  CardDetailsConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)
  DetailConfigExtension.GetAllObservationNames(CardDetailsConfig)

## Properties

### Header

    public List<SectionBoxLayout>? Header { get; set; }

#### Property Value

List<SectionBoxLayout>

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### NurseRows

    public List<RowDetailsConfig>? NurseRows { get; set; }

#### Property Value

List<RowDetailsConfig>

### SmartSections

    public List<SectionBoxLayout>? SmartSections { get; set; }

#### Property Value

List<SectionBoxLayout>